Subject: [Mgs] Leaking water elbow on head of a 78 B

From: Andrew Lundgren <[email-masked]>
Date: Tue, 9 Dec 2014 18:17:02 -0700

I have a coolant leak coming out around the studs of the water elbow on a
78 B.

I've never seen that before. I replaced the gasket and used some silicone
on both sides of the gasket.

Anyone seen this before? I'm thinking it must be damaged...

The elbow is off of an earlier car, there is no filler.  I'm considering
replacing the elbow with the later model with the filler cap built in.

Any reason not to use the later cap? My '70 B has a radiator with a cap.
With this later model, without the other elbow, I haven't found a great way
to fill the radiator.

Thanks!
Andrew
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]